# Laravel Visits

![aravel-visits](https://i.imgur.com/xHAzl0G.png)

[![Latest Version on Packagist][ico-version]][link-packagist]
[![Software License][ico-license]](LICENSE.md)
[![Build Status][ico-travis]][link-travis]
[![Quality Score][ico-code-quality]][link-code-quality]
[![Total Downloads][ico-downloads]][link-downloads]

[![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=ZJFHUL6CVPX2G)

> Please support our work here with donation so we can contuine improve this package once we raise fund we will contuine work on this package

Laravel Visits is a counter that can be attached to any model to track its visits with useful features like IP-protection and lists caching.

## Install

To get started with Laravel Visits, use Composer to add the package to your project's dependencies (or read more about installlation on [Installation](docs/3_installation.md) page):

```bash
composer require awssat/laravel-visits
```

## Docs & How-to use & configure

-   [Introduction](docs/1_introduction.md)
-   [Requirements](docs/2_requirements.md)
-   [Installation](docs/3_installation.md)
-   [Quick start](docs/4_quick-start.md)
-   [Increments and decrements](docs/5_increments-and-decrements.md)
-   [Retrieve visits and stats](docs/6_retrieve-visits-and-stats.md)
-   [Visits lists](docs/7_visits-lists.md)
-   [Clear and reset values](docs/8_clear-and-reset-values.md)

## Changelog

Please see [CHANGELOG](CHANGELOG.md) for more information on what has changed recently.

## Contributing

Please see [CONTRIBUTING](CONTRIBUTING.md) and [CODE_OF_CONDUCT](CODE_OF_CONDUCT.md) for details.

## Credits

-   [Bader][link-author]
-   [All Contributors][link-contributors]

## Todo

-   An export command to save visits of any periods to a table on the database.

## Contributors

### Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/awssat/laravel-visits/graphs/contributors"><img src="https://opencollective.com/laravel-visits/contributors.svg?width=890&button=false" /></a>

### Financial Contributors

Become a financial contributor and help us sustain our community. [[Contribute](https://opencollective.com/laravel-visits/contribute)]

#### Individuals

<a href="https://opencollective.com/laravel-visits"><img src="https://opencollective.com/laravel-visits/individuals.svg?width=890"></a>

#### Organizations

Support this project with your organization.
Your logo will show up here with a link to your website.
[[Contribute](https://opencollective.com/laravel-visits/contribute)]

<a href="https://opencollective.com/laravel-visits/organization/0/website"><img src="https://opencollective.com/laravel-visits/organization/0/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/1/website"><img src="https://opencollective.com/laravel-visits/organization/1/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/2/website"><img src="https://opencollective.com/laravel-visits/organization/2/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/3/website"><img src="https://opencollective.com/laravel-visits/organization/3/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/4/website"><img src="https://opencollective.com/laravel-visits/organization/4/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/5/website"><img src="https://opencollective.com/laravel-visits/organization/5/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/6/website"><img src="https://opencollective.com/laravel-visits/organization/6/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/7/website"><img src="https://opencollective.com/laravel-visits/organization/7/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/8/website"><img src="https://opencollective.com/laravel-visits/organization/8/avatar.svg"></a>
<a href="https://opencollective.com/laravel-visits/organization/9/website"><img src="https://opencollective.com/laravel-visits/organization/9/avatar.svg"></a>

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.

[ico-version]: https://img.shields.io/packagist/v/awssat/laravel-visits.svg?style=flat-square
[ico-license]: https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat-square
[ico-travis]: https://travis-ci.org/awssat/laravel-visits.svg?branch=master
[ico-code-quality]: https://scrutinizer-ci.com/g/awssat/laravel-visits/badges/quality-score.png?b=master
[ico-downloads]: https://img.shields.io/packagist/dt/awssat/laravel-visits.svg?style=flat-square
[link-packagist]: https://packagist.org/packages/awssat/laravel-visits
[link-travis]: https://travis-ci.org/awssat/laravel-visits
[link-scrutinizer]: https://scrutinizer-ci.com/g/awssat/laravel-visits/code-structure
[link-code-quality]: https://scrutinizer-ci.com/g/awssat/laravel-visits
[link-downloads]: https://packagist.org/packages/awssat/laravel-visits
[link-author]: https://github.com/if4lcon
[link-contributors]: ../../contributors
